Skip to content

My Security Access Reviews

The My Security Access Reviews API allows reviewers to manage security access reviews that are assigned to them. These reviews provide a holistic view of a target principal's access to resources such as apps, groups, and entitlements. They're typically triggered as a response to a security or an identiy risk event. Reviewers can assess the target principal's access to resources and take immediate action.

The resource methods in the My Security Access Reviews API only returns security access reviews and corresponding objects that the authenticated requester (as the reviewer) has permission to access.

List the security access reviews

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.endUser.read

Lists the security access reviews

Query
filterstring

A filter expression that filters security access reviews. The eq and co operators are supported for string properties. The gt and lt operators are supported for date properties.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Filter by name provided for the security access review
filter=name co "Git"
Filter by status of the security access review
filter=status eq "ACTIVE"
Filter by reviewer.name. Note that it compares against the first name and last name of the reviewer.
filter=reviewer.name co "John"
Filter by created
filter=created gt "2022-05-24T14:15:22Z"
orderByArray of strings, = 1 items

The field to sort the results, in ascending (asc) or descending (desc) order. Sorting is applied to only one field.

Note: Query parameter percent encoding is required. See Percent-encoding

Default:["created asc"]
Examples:
Order by name
orderBy=name desc
Order by created
orderBy=created desc
Order by endTime
orderBy=endTime desc
Order by status
orderBy=status desc
Order by id
orderBy=id desc
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v2/my/security-access-reviews
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/security-access-reviews?filter=name%20co%20%22Git%22&orderBy=name%20desc&after=00u68w6vzKLultXS97g6&limit=20'

Responses

A successful security access reviews get response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects, [ 0 .. 200 ] items(security-access-review-sparse)

Security access reviews entries

Response
{ "data": [ {} ], "_links": { "self": {} } }